Package org.drinkless.tdlib

# Class TdApi.GroupCall

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GroupCall

Enclosing class:
  TdApi

public static class TdApi.GroupCall extends TdApi.Object
Describes a group call.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canBeManaged`
  True, if the current user can manage the group call.
  `boolean`
  `canEnableVideo`
  True, if the current user can broadcast video or share screen.
  `boolean`
  `canToggleMuteNewParticipants`
  True, if the current user can enable or disable muteNewParticipants setting.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `duration`
  Call duration, in seconds; for ended calls only.
  `boolean`
  `enabledStartNotification`
  True, if the group call is scheduled and the current user will receive a notification when the group call starts.
  `boolean`
  `hasHiddenListeners`
  True, if group call participants, which are muted, aren't returned in participant list.
  `int`
  `id`
  Group call identifier.
  `boolean`
  `isActive`
  True, if the call is active.
  `boolean`
  `isJoined`
  True, if the call is joined.
  `boolean`
  `isMyVideoEnabled`
  True, if the current user's video is enabled.
  `boolean`
  `isMyVideoPaused`
  True, if the current user's video is paused.
  `boolean`
  `isRtmpStream`
  True, if the chat is an RTMP stream instead of an ordinary video chat.
  `boolean`
  `isVideoRecorded`
  True, if a video file is being recorded for the call.
  `boolean`
  `loadedAllParticipants`
  True, if all group call participants are loaded.
  `boolean`
  `muteNewParticipants`
  True, if only group call administrators can unmute new participants.
  `boolean`
  `needRejoin`
  True, if user was kicked from the call because of network loss and the call needs to be rejoined.
  `int`
  `participantCount`
  Number of participants in the group call.
  `TdApi.GroupCallRecentSpeaker[]`
  `recentSpeakers`
  At most 3 recently speaking users in the group call.
  `int`
  `recordDuration`
  Duration of the ongoing group call recording, in seconds; 0 if none.
  `int`
  `scheduledStartDate`
  Point in time (Unix timestamp) when the group call is supposed to be started by an administrator; 0 if it is already active or was ended.
  `String`
  `title`
  Group call title.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupCall()`
  Describes a group call.
  `GroupCall(int id, String title, int scheduledStartDate, boolean enabledStartNotification, boolean isActive, boolean isRtmpStream, boolean isJoined, boolean needRejoin, boolean canBeManaged, int participantCount, boolean hasHiddenListeners, boolean loadedAllParticipants, TdApi.GroupCallRecentSpeaker[] recentSpeakers, boolean isMyVideoEnabled, boolean isMyVideoPaused, boolean canEnableVideo, boolean muteNewParticipants, boolean canToggleMuteNewParticipants, int recordDuration, boolean isVideoRecorded, int duration)`
  Describes a group call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public int id
    Group call identifier.

  - ### title

    public String title
    Group call title.

  - ### scheduledStartDate

    public int scheduledStartDate
    Point in time (Unix timestamp) when the group call is supposed to be started by an administrator; 0 if it is already active or was ended.

  - ### enabledStartNotification

    public boolean enabledStartNotification
    True, if the group call is scheduled and the current user will receive a notification when the group call starts.

  - ### isActive

    public boolean isActive
    True, if the call is active.

  - ### isRtmpStream

    public boolean isRtmpStream
    True, if the chat is an RTMP stream instead of an ordinary video chat.

  - ### isJoined

    public boolean isJoined
    True, if the call is joined.

  - ### needRejoin

    public boolean needRejoin
    True, if user was kicked from the call because of network loss and the call needs to be rejoined.

  - ### canBeManaged

    public boolean canBeManaged
    True, if the current user can manage the group call.

  - ### participantCount

    public int participantCount
    Number of participants in the group call.

  - ### hasHiddenListeners

    public boolean hasHiddenListeners
    True, if group call participants, which are muted, aren't returned in participant list.

  - ### loadedAllParticipants

    public boolean loadedAllParticipants
    True, if all group call participants are loaded.

  - ### recentSpeakers

    public TdApi.GroupCallRecentSpeaker[] recentSpeakers
    At most 3 recently speaking users in the group call.

  - ### isMyVideoEnabled

    public boolean isMyVideoEnabled
    True, if the current user's video is enabled.

  - ### isMyVideoPaused

    public boolean isMyVideoPaused
    True, if the current user's video is paused.

  - ### canEnableVideo

    public boolean canEnableVideo
    True, if the current user can broadcast video or share screen.

  - ### muteNewParticipants

    public boolean muteNewParticipants
    True, if only group call administrators can unmute new participants.

  - ### canToggleMuteNewParticipants

    public boolean canToggleMuteNewParticipants
    True, if the current user can enable or disable muteNewParticipants setting.

  - ### recordDuration

    public int recordDuration
    Duration of the ongoing group call recording, in seconds; 0 if none. An updateGroupCall update is not triggered when value of this field changes, but the same recording goes on.

  - ### isVideoRecorded

    public boolean isVideoRecorded
    True, if a video file is being recorded for the call.

  - ### duration

    public int duration
    Call duration, in seconds; for ended calls only.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GroupCall

    public GroupCall()
    Describes a group call.

  - ### GroupCall

    public GroupCall(int id, String title, int scheduledStartDate, boolean enabledStartNotification, boolean isActive, boolean isRtmpStream, boolean isJoined, boolean needRejoin, boolean canBeManaged, int participantCount, boolean hasHiddenListeners, boolean loadedAllParticipants, TdApi.GroupCallRecentSpeaker[] recentSpeakers, boolean isMyVideoEnabled, boolean isMyVideoPaused, boolean canEnableVideo, boolean muteNewParticipants, boolean canToggleMuteNewParticipants, int recordDuration, boolean isVideoRecorded, int duration)
    Describes a group call.
    Parameters:
      `id` - Group call identifier.
      `title` - Group call title.
      `scheduledStartDate` - Point in time (Unix timestamp) when the group call is supposed to be started by an administrator; 0 if it is already active or was ended.
      `enabledStartNotification` - True, if the group call is scheduled and the current user will receive a notification when the group call starts.
      `isActive` - True, if the call is active.
      `isRtmpStream` - True, if the chat is an RTMP stream instead of an ordinary video chat.
      `isJoined` - True, if the call is joined.
      `needRejoin` - True, if user was kicked from the call because of network loss and the call needs to be rejoined.
      `canBeManaged` - True, if the current user can manage the group call.
      `participantCount` - Number of participants in the group call.
      `hasHiddenListeners` - True, if group call participants, which are muted, aren't returned in participant list.
      `loadedAllParticipants` - True, if all group call participants are loaded.
      `recentSpeakers` - At most 3 recently speaking users in the group call.
      `isMyVideoEnabled` - True, if the current user's video is enabled.
      `isMyVideoPaused` - True, if the current user's video is paused.
      `canEnableVideo` - True, if the current user can broadcast video or share screen.
      `muteNewParticipants` - True, if only group call administrators can unmute new participants.
      `canToggleMuteNewParticipants` - True, if the current user can enable or disable muteNewParticipants setting.
      `recordDuration` - Duration of the ongoing group call recording, in seconds; 0 if none. An updateGroupCall update is not triggered when value of this field changes, but the same recording goes on.
      `isVideoRecorded` - True, if a video file is being recorded for the call.
      `duration` - Call duration, in seconds; for ended calls only.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR